Annotations
List Annotations
Returns all annotations for a specific item.
GET
/
v1
/
items
/
{item_id}
/
annotations
curl "https://api.getmatter.com/public/v1/items/itm_r9f3a/annotations" \
-H "Authorization: Bearer mat_your_token_here"
response = requests.get(
"https://api.getmatter.com/public/v1/items/itm_r9f3a/annotations",
headers={"Authorization": f"Bearer {token}"}
)
annotations = response.json()
{
"object": "list",
"results": [
{
"object": "annotation",
"id": "ann_m2k8v",
"item_id": "itm_r9f3a",
"text": "The way to figure out what to work on is by working.",
"note": "Core thesis of the essay",
"created_at": "2026-03-30T18:32:00Z",
"updated_at": "2026-03-30T18:32:00Z"
}
],
"has_more": false,
"next_cursor": null
}
Path Parameters
string
required
The item ID. Example:
itm_r9f3a.Query Parameters
integer
default:25
Number of annotations per page. Min 1, max 100.
string
Cursor for the next page of results.
Response
string
required
Always
"list".array
required
boolean
required
Whether there are more results.
string
Cursor for the next page.
curl "https://api.getmatter.com/public/v1/items/itm_r9f3a/annotations" \
-H "Authorization: Bearer mat_your_token_here"
response = requests.get(
"https://api.getmatter.com/public/v1/items/itm_r9f3a/annotations",
headers={"Authorization": f"Bearer {token}"}
)
annotations = response.json()
{
"object": "list",
"results": [
{
"object": "annotation",
"id": "ann_m2k8v",
"item_id": "itm_r9f3a",
"text": "The way to figure out what to work on is by working.",
"note": "Core thesis of the essay",
"created_at": "2026-03-30T18:32:00Z",
"updated_at": "2026-03-30T18:32:00Z"
}
],
"has_more": false,
"next_cursor": null
}
curl "https://api.getmatter.com/public/v1/items/itm_r9f3a/annotations" \
-H "Authorization: Bearer mat_your_token_here"
response = requests.get(
"https://api.getmatter.com/public/v1/items/itm_r9f3a/annotations",
headers={"Authorization": f"Bearer {token}"}
)
annotations = response.json()
{
"object": "list",
"results": [
{
"object": "annotation",
"id": "ann_m2k8v",
"item_id": "itm_r9f3a",
"text": "The way to figure out what to work on is by working.",
"note": "Core thesis of the essay",
"created_at": "2026-03-30T18:32:00Z",
"updated_at": "2026-03-30T18:32:00Z"
}
],
"has_more": false,
"next_cursor": null
}